## python-pyelftools 0.26

=== test/testfiles_for_unittests/empty_pubtypes/Makefile ===
main:
main: CFLAGS=-gpubnames -g -O0

## python-pyelftools 0.23

=== debian/changelog ===
python-pyelftools (0.23-2) unstable; urgency=medium

  * d/copyright: LPGL-2+ -> LGPL-2
  * d/rules: run test suite manually

 -- Tomasz Buchert <tomasz@debian.org>  Thu, 31 Dec 2015 13:33:27 +0100

python-pyelftools (0.23-1) unstable; urgency=low

  * Initial release (Closes: #778933)

 -- Tomasz Buchert <tomasz@debian.org>  Mon, 27 Apr 2015 13:25:10 +0200

=== debian/control ===
Source: python-pyelftools
Section: python
Priority: extra
Maintainer: Tomasz Buchert <tomasz@debian.org>
Build-Depends: debhelper (>= 9), dh-python, python, python3
Standards-Version: 3.9.6
Homepage: https://github.com/eliben/pyelftools
Vcs-Git: git://anonscm.debian.org/collab-maint/python-pyelftools.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-pyelftools.git

Package: python-pyelftools
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: pure-python2 library for parsing ELF and DWARF
 pyelftools is a pure-Python library for parsing and analyzing ELF
 files and DWARF debugging information. It can be used to query
 information about compiled binaries and libraries from your Python
 code.
 .
 This package installs the library for Python 2.

Package: python3-pyelftools
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: pure-python3 library for parsing ELF and DWARF
 pyelftools is a pure-Python library for parsing and analyzing ELF
 files and DWARF debugging information. It can be used to query
 information about compiled binaries and libraries from your Python
 code.
 .
 This package installs the library for Python 3.

## python-pyelftools 0.24

=== debian/changelog ===
python-pyelftools (0.24-4) unstable; urgency=medium

  * d/control: update vcs links to salsa
  * d/control: make packages multi-arch foreign (Closes: #885411)
  * d/control: fix priority-extra-is-replaced-by-priority-optional
  * d/copyright: fix insecure-copyright-format-uri
  * d/control: bump debhelper compat to 11

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 04 Feb 2018 11:07:52 +0100

python-pyelftools (0.24-3) unstable; urgency=medium

  * Revert debhelper and watch changes

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 30 Apr 2017 11:43:50 +0200

python-pyelftools (0.24-2) unstable; urgency=medium

  * d/control: use debhelper 10
  * d/watch: use watch version 4
  * d/patches: disable readelf tests (Closes: #860630)

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 23 Apr 2017 19:43:10 +0200

python-pyelftools (0.24-1) unstable; urgency=medium

  * Imported Upstream version 0.24
  * Bumped Standards-Version to 3.9.8 (no changes needed)

 -- Tomasz Buchert <tomasz@debian.org>  Tue, 09 Aug 2016 00:29:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: python-pyelftools
 Section: python
-Priority: extra
+Priority: optional
 Maintainer: Tomasz Buchert <tomasz@debian.org>
-Build-Depends: debhelper (>= 9), dh-python, python, python3
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 11), dh-python, python, python3
+Standards-Version: 3.9.8
 Homepage: https://github.com/eliben/pyelftools
-Vcs-Git: git://anonscm.debian.org/collab-maint/python-pyelftools.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-pyelftools.git
+Vcs-Git: https://salsa.debian.org/debian/python-pyelftools.git
+Vcs-Browser: https://salsa.debian.org/debian/python-pyelftools
 
 Package: python-pyelftools
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
 Description: pure-python2 library for parsing ELF and DWARF
  pyelftools is a pure-Python library for parsing and analyzing ELF
@@ -21,6 +22,7 @@
 
 Package: python3-pyelftools
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
 Description: pure-python3 library for parsing ELF and DWARF
  pyelftools is a pure-Python library for parsing and analyzing ELF

## python-pyelftools 0.25

=== debian/changelog ===
python-pyelftools (0.25-2) unstable; urgency=medium

  * refresh packaging (debhelper 12, std-ver 4.3.0)

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 12 Jan 2019 12:50:45 +0100

python-pyelftools (0.25-1) unstable; urgency=medium

  * New upstream version 0.25
  * Build-depend on setuptools instead of distutils

 -- Tomasz Buchert <tomasz@debian.org>  Tue, 04 Sep 2018 08:28:58 +0200

python-pyelftools (0.24-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on python3-distutils. Closes: #896779.
  * Bump standards version; no changes required.

 -- Matthias Klose <doko@debian.org>  Thu, 03 May 2018 23:57:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,18 @@
 Source: python-pyelftools
+Maintainer: Tomasz Buchert <tomasz@debian.org>
 Section: python
 Priority: optional
-Maintainer: Tomasz Buchert <tomasz@debian.org>
-Build-Depends: debhelper (>= 11), dh-python, python, python3
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 12),
+               debhelper-compat (= 12),
+               dh-python,
+               python,
+               python-setuptools,
+               python3,
+               python3-setuptools
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/debian/python-pyelftools
+Vcs-Git: https://salsa.debian.org/debian/python-pyelftools.git
 Homepage: https://github.com/eliben/pyelftools
-Vcs-Git: https://salsa.debian.org/debian/python-pyelftools.git
-Vcs-Browser: https://salsa.debian.org/debian/python-pyelftools
 
 Package: python-pyelftools
 Architecture: all

## python-pyelftools 0.26

=== debian/changelog ===
python-pyelftools (0.26-1ubuntu1) focal; urgency=medium

  * Build-depend on python-all.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 30 Mar 2020 13:20:27 +0200

python-pyelftools (0.26-1) unstable; urgency=medium

  * New upstream version 0.26
  * Bump std-ver to 4.4.1

 -- Tomasz Buchert <tomasz@debian.org>  Thu, 12 Dec 2019 23:29:34 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,15 @@
 Build-Depends: debhelper (>= 12),
                debhelper-compat (= 12),
                dh-python,
-               python,
+               python-all,
                python-setuptools,
                python3,
                python3-setuptools
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian/python-pyelftools
 Vcs-Git: https://salsa.debian.org/debian/python-pyelftools.git
 Homepage: https://github.com/eliben/pyelftools
+Rules-Requires-Root: no
 
 Package: python-pyelftools
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

export PYBUILD_NAME = pyelftools

%:
	dh $@ --buildsystem=pybuild --with=python2,python3

override_dh_install:
	# remove readelf.py script installed in /usr/bin/
	# it's not part of the build
	dh_install
	rm -r debian/python3-pyelftools/usr/bin
	rm -r debian/python-pyelftools/usr/bin

override_dh_auto_test:
	# launch manually because dh_auto_test does not pick it up
	python2 test/all_tests.py
	python3 test/all_tests.py

## python-pyelftools 0.27

=== test/external_tools/Makefile ===
CFLAGS = -Wall --std=c99
# This is where `make install` from libelf places its stuff
LIBELF_HEADERS = /usr/local/include/libelf/
LIBELF_LIBS = /usr/local/lib/

all: elf_creator

elf_creator: elf_creator.c
	gcc $(CFLAGS) -o elf_creator elf_creator.c \
		-I$(LIBELF_HEADERS) -L$(LIBELF_LIBS) -Wl,-rpath,$(LIBELF_LIBS) -lelf

clean:
	rm -f *.o
	rm -f *.so
	rm -f *.a
	rm -f elf_creator

=== debian/changelog ===
python-pyelftools (0.27-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Tomasz Buchert ]
  * New upstream version 0.27

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 01 Nov 2020 20:39:31 +0100

python-pyelftools (0.26-2) unstable; urgency=medium

  * Drop python2 package (Closes: #938061)
  * Bump std-ver to 4.5.0

 -- Tomasz Buchert <tomasz@debian.org>  Fri, 01 May 2020 10:22:25 +0200

=== debian/control ===
Source: python-pyelftools
Maintainer: Tomasz Buchert <tomasz@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 12),
               debhelper-compat (= 12),
               dh-python,
               python3,
               python3-setuptools
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian/python-pyelftools
Vcs-Git: https://salsa.debian.org/debian/python-pyelftools.git
Homepage: https://github.com/eliben/pyelftools
Rules-Requires-Root: no

Package: python3-pyelftools
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: pure-python3 library for parsing ELF and DWARF
 pyelftools is a pure-Python library for parsing and analyzing ELF
 files and DWARF debugging information. It can be used to query
 information about compiled binaries and libraries from your Python
 code.
 .
 This package installs the library for Python 3.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python-pyelftools-$1\.tar\.gz/ \
  https://github.com/eliben/pyelftools/tags .*/v?(\d\S*)\.tar\.gz

## python-pyelftools 0.29

=== test/external_tools/Makefile ===
--- 
+++ 
@@ -14,5 +14,3 @@
 	rm -f *.so
 	rm -f *.a
 	rm -f elf_creator
-
-

=== debian/changelog ===
python-pyelftools (0.29-1~bpo22.04.1) jammy-backports; urgency=medium

  * Backport to Jammy. (LP: #1998624)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Fri, 02 Dec 2022 12:11:01 -0500

python-pyelftools (0.29-1) unstable; urgency=medium

  * New upstream version 0.29

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 20 Aug 2022 23:23:45 +0200

python-pyelftools (0.28-1) unstable; urgency=medium

  * New upstream version 0.28

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 30 Apr 2022 12:22:11 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper (>= 12),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-python,
                python3,
                python3-setuptools
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian/python-pyelftools
 Vcs-Git: https://salsa.debian.org/debian/python-pyelftools.git
 Homepage: https://github.com/eliben/pyelftools

## python-pyelftools 0.30

=== debian/changelog ===
python-pyelftools (0.30-1) unstable; urgency=medium

  * New upstream version 0.30

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 09 Sep 2023 11:46:13 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-python,
                python3,
                python3-setuptools
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/python-pyelftools
 Vcs-Git: https://salsa.debian.org/debian/python-pyelftools.git
 Homepage: https://github.com/eliben/pyelftools

## python-pyelftools 0.31

=== debian/changelog ===
python-pyelftools (0.31-1) unstable; urgency=medium

  * New upstream version 0.31
  * Set upstream metadata fields: Contact, Security-Contact.

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 02 Jun 2024 09:45:53 +0200

## python-pyelftools 0.32

=== test/testfiles_for_unittests/note_after_gnu_property/Makefile ===
main.elf: main.c link.ld
	gcc -O0 main.c -T link.ld -Wl,--build-id=none -o main.elf

=== debian/changelog ===
python-pyelftools (0.32-1) unstable; urgency=medium

  * New upstream version 0.32

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 22 Feb 2025 19:00:49 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-python,
                python3,
                python3-setuptools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/python-pyelftools
 Vcs-Git: https://salsa.debian.org/debian/python-pyelftools.git
 Homepage: https://github.com/eliben/pyelftools
